WSJT-X on Linux Mint

Discussion in 'Computers, Hardware, and Operating Systems' started by KG7FIU, Feb 14, 2021.

ad: L-HROutlet
ad: l-rl
ad: Left-2
ad: L-Geochron
ad: Left-3
ad: MessiPaoloni-1
ad: HRDLLC-2
ad: abrind-2
ad: L-MFJ
  1. KG7FIU

    KG7FIU Ham Member QRZ Page

    Hi,
    Have a laptop that's running Linux Mint v 19. Trying to get WSJT-X going.
    Tried installing, but it's not working. Looks like I am missing a bunch of dependencies. Not sure what I'm doing (Things were a lot easier installing WSJT-X on Win10). What do I need to do to get things working? Is there a better way?

    $ sudo dpkg -i wsjtx_2.3.0-rc3_amd64.deb

    (Reading database ... 326351 files and directories currently installed.)
    Preparing to unpack wsjtx_2.3.0-rc3_amd64.deb ...
    Unpacking wsjtx (2.3.0-rc3) over (2.3.0-rc3) ...
    dpkg: dependency problems prevent configuration of wsjtx:
    wsjtx depends on libboost-filesystem1.71.0; however:
    Package libboost-filesystem1.71.0 is not installed.
    wsjtx depends on libboost-log1.71.0; however:
    Package libboost-log1.71.0 is not installed.
    wsjtx depends on libboost-thread1.71.0; however:
    Package libboost-thread1.71.0 is not installed.
    wsjtx depends on libc6 (>= 2.29); however:
    Version of libc6:amd64 on system is 2.27-3ubuntu1.4.
    wsjtx depends on libgcc-s1 (>= 4.0); however:
    Package libgcc-s1 is not installed.
    wsjtx depends on libqt5network5 (>= 5.11.0~rc1); however:
    Version of libqt5network5:amd64 on system is 5.9.5+dfsg-0ubuntu2.5.
    wsjtx depends on libqt5sql5 (>= 5.10.0); however:
    Version of libqt5sql5:amd64 on system is 5.9.5+dfsg-0ubuntu2.5.
    wsjtx depends on libqt5widgets5 (>= 5.11.0~rc1); however:
    Version of libqt5widgets5:amd64 on system is 5.9.5+dfsg-0ubuntu2.5.
    wsjtx depends on libreadline8 (>= 6.0); however:
    Package libreadline8 is not installed.
    wsjtx depends on libstdc++6 (>= 9); however:
    Version of libstdc++6:amd64 on system is 8.4.0-1ubuntu1~18.04.

    dpkg: error processing package wsjtx (--install):
    dependency problems - leaving unconfigured
    Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
    Processing triggers for desktop-file-utils (0.23+linuxmint6) ...
    Processing triggers for mime-support (3.60ubuntu1) ...
    Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
    Errors were encountered while processing:
    wsjtx
     
  2. W9YW

    W9YW Premium Subscriber Volunteer Moderator QRZ Page

    There are a couple of LinuxMint-specific ways you can go about this. My suggestion is to download the payload into your Download directory, or after Firefox downloads it, move it from the .mozilla directory into the ~/Downloads directory (this would be the /home/$youusername/ folder).

    Open up a terminal session. Make your self root: sudo su (it'll ask for your password). I have not tried to do this not being root... but you can experiment.

    Change to the Download directory for your user name. This is done by: cd /home/$yourusername/Download

    Do an ls; the wsjt-x .deb file should be there. You need the Debian, Ubuntu, Linuxmint .deb file for this to work. If you downloaded a tar.gz file, you can untar (like unzip or extract) that file. This is covered elsewhere. You need the .deb file.

    Once at the point where you can ls and see the .deb file then:

    gdebi $nameofthe-dot-deb file.

    Watch for more errors, gdebi should get all of the dependencies, satisfy them, and set things up.

    The payload will be the wsjt-x executable. It'll be in /usr/local/bin or /usr/bin. Could be somewhere else. Dunno. Linux is like that.

    I have not been able to get either wsjt-x or jtdx to run as a user. I have to start both from terminal, as root. I'm debugging WHY that has to happen. Running as root is not recommended. But it works.

    Find WSJT-X, and execute it.

    But WHOA, things aren't going to work. You have a bit more work to do.

    You'll need to setup your rig, unless you're working to manually tune things. I don't recommend that, use CAT control. There are lots of possibilities, but go to the groups,io wsjt-x forum, and search on your radio model. You need to do this because the hamlib that wsjt-x and jtdx are based on have a few problems with specific models. You want to know those in advance. A $20 cable is available from Fleabay to match your radio; search on your radio name/model and CAT. It hopefully says it has drivers with it, but in reality, LinuxMint should be able to find and assign a CAT cable (RS-232 to USB) correctly. That cable baud rate must match your radio's rate, but you can set this up in the setup of WSJT-X or JTDX.

    But wait, there's more.

    LinuxMint needs to have the audio setup, too. You'll find perhaps a zillion options. Choose ones that say USB and CODEC in their names. Don't use HDMI audio selections. You'll need to experiment, but you'll find something that suddenly shows decodes on your screen.

    Then match audio levels per instructions. Try to get the TX to NOT TRIGGER ALC/AGC on your radio. A little is OK, but too much will make your signal either splatter, be unintelligible or both or worse.

    The Test CAT button works, but sometimes needs a few pushes.

    Then look at the waterfall to see that the red band indicating your transmit tunnel isn't ALREADY OCCUPIED BY SOMEONE ELSE. People walk all over each other on crowded bands. I have to move several times a session as people don't look at their waterfalls and consternation ensues.

    I also suggest trying jtdx, which has an Ubuntu port that you can use. It does decoding far better, in my experience. Remember that the Linux Debian version is what Ubuntu is based on, and LinuxMint is based 95% on Ubuntu. Use Ubuntu selections first, Debian second until you become familiar with the nuances.

    I run Debian/Ubuntu/LinuxMint on Lenovo hardware (laptops) and Windows 10. I use Kenwood and Yaesu radios, and run CAT controls for both. With this combo, I have made >4000 contacts using digital modes.

    Look strongly at installing GridTracker, which will so your logs for you, spots, and other interesting features. It is roughly the same hassle to install on Linux. Then, although this is free software, consider contributing actual paypal money when you are finally smiling.

    73 Tom W9YW
     
    PU2OZT likes this.
  3. W5UAA

    W5UAA Ham Member QRZ Page

    Easy peasy! I don't know why everybody's sticking with windows anymore!

    But wait, there's more: don't forget to add your user name to the dialout group so you have access to the USB port controlling your radio. Or just continue running WSJT-X as root and chance the potential security issues.
     
    KK4GGL, KB5IAV and PU2OZT like this.
  4. PU2OZT

    PU2OZT Ham Member QRZ Page

    :D:D the only no-hassle ham radio program I managed to get working consistently on my Arch Linux ageing desktop is LoTW.
     
  5. W9YW

    W9YW Premium Subscriber Volunteer Moderator QRZ Page

    I can help you with that, PU2OZT. What do you want to install?? I have two aging ARCH installations.
     
  6. PU2OZT

    PU2OZT Ham Member QRZ Page

    aha! :) some years ago, was trying to get simplest loggers to run, don't remember which ones, it does not need to communicate, apart from uploading to LoTW (?) as my only rig is a Kenwood TS-530S.

    Tell me which works fine and I'll try over again.
    Desktop is rotten but I updated Arch no later than last week.
    I guess, if had lots of fine programs working, I'd be also pressed to buy a newer transceiver.
    But main hindrance would still be the antenna, and place I live.

    Thanks, Oliver
     
  7. KD0KZE

    KD0KZE Ham Member QRZ Page

    First of all, you don't want wsjtx_2.3.0-rc3 or even RC4. The release candidates are time-capped and actually cease working once the general release comes out.

    Next, check the WSJT README file on SourceForge:

    _amd64.deb - Debian package targeted for Ubuntu 20.04.1 LTS,

    So unless your distro+version has an active package maintainer (a human developer) for WSJT-X, you will need to do some home-brewing on your own like other aspects of the hobby. Think of it like building antennas, dealing with SWR, erecting a tower, fiddling all the dials and settings on modern rigs, etc. None of it is really consumer-grade plug-and-play. Tinkering is a fun part of the hobby, though some criticize it as giving us too many dials and knobs to configure, and therefore it increases the odds that we do something wrong and get frustrated.

    So unless you're running the version of Ubuntu that they target, it's unfair to blame Linux. There are many distros and active versions out there, and it would be unrealistic to expect the WSJT developers to target all of them. If you want to run WSJT-X on Linux, and your distro has no active package maintainer for it, and you don't to build it yourself, then you should pretty much install the Ubuntu they recommend. (It's not terribly different with Windows. For example, downloading the 64-bit version targeted for Windows 7+ and trying to run it on a 32-bit Vista machine would likewise cause grief.)

    I run it without trouble on Debian 10.x, but I compile it from source. I can help out with Debian, though have not tried Mint. I have resolved all Debian dependencies, and taken notes of all of my sound settings. I don't build my own circuits, rigs, Arduino/Pi projects, etc. (though would like to do this some day). But I do build dipoles and compile software.

    73, KD0KZE / Paul
     
  8. W9FL

    W9FL Ham Member QRZ Page

    Here's how to get it to work:

    Remove Linux, install Windows.

    The people that claim Linux is better are pulling your leg.
     
    N5SJS, W0AQ, KB5IAV and 1 other person like this.
  9. N4OGW

    N4OGW Ham Member QRZ Page

    Just build it from source. It is not hard:

    tar xzvof wsjtx-2.3.0.tgz
    cd wsjtx-2.3.0
    mkdir build
    cd build
    cmake ..
    cmake --build .
    sudo cmake --build . --target install

    It will be installed in /usr/local by default

    Tor N4OGW
     
    VA3QY and K6CLS like this.
  10. NN4RH

    NN4RH Premium Subscriber QRZ Page

    WA9UAA and KB5IAV like this.

Share This Page

ad: wmr-1